<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Edit Profile</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content class="profile" style="--background:rgb(243, 243, 243);">
  <ion-card no-margin class="profile">
      <ion-card-content class="bg-profile" (click)="presentImage('/assets/img/avatar.png')">
        <img src="/assets/img/avatar.png">
        <h1 class="fw500">{{session.User.DisplayName}}</h1>
      <h2 color="light" margin-bottom>{{session.User.RoleName}}</h2>
      </ion-card-content>
  </ion-card> 
  <ion-card>
    <ion-card-header color="medium">
      <ion-card-subtitle>Queue Information</ion-card-subtitle>
    </ion-card-header>  
    <ion-card-content color="medium">
      <ion-grid fixed no-padding style="width: 100%">
        <ion-row>
          <ion-col size="12" padding>
            <ion-list margin-bottom>
              <ion-item>
                <ion-label color="dark" position="stacked">Full Name:</ion-label>
                <ion-input inputmode="text" value="{{session.User.DisplayName}}" disabled></ion-input>
              </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">Email:</ion-label>
                <ion-input inputmode="email" value="{{session.User.Email}}" disabled></ion-input>
              </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">Branch:</ion-label>
                <ion-input inputmode="text" value="{{session.User.BranchName}}" disabled></ion-input>
              </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">Company</ion-label>
                <ion-input inputmode="text" value="{{session.User.CompanyName}}" disabled></ion-input>
              </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">Queue Role</ion-label>
                <ion-input inputmode="text" value="{{session.User.RoleName}}" disabled></ion-input>
              </ion-item>
            </ion-list>          
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-content>
  </ion-card>
  <ion-card>
      <ion-card-header color="medium">
          <ion-card-subtitle>Security</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
      <ion-grid>
        <ion-row>
          <ion-col size="12">
            <ion-list>          
              <ion-item>
                  <ion-label color="dark" position="stacked">Old Password:</ion-label>
                  <ion-input type="password" inputmode="text" value="password" [(ngModel)]="oldpassword"></ion-input>
                </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">New Password:</ion-label>
                <ion-input type="password" inputmode="text" [(ngModel)]="newpassword"></ion-input>
              </ion-item>
              <ion-item>
                <ion-label color="dark" position="stacked">Confirm New Password:</ion-label>
                <ion-input type="password" inputmode="text" [(ngModel)]="cnfpassword"></ion-input>
              </ion-item>
            </ion-list>     
          </ion-col>
        </ion-row>
      </ion-grid>   
      </ion-card-content>  
  </ion-card>

  <!--
  <div padding>
    <ion-text color="dark" no-margin>
      Edit your profile and press save to apply changes.
    </ion-text>
  </div>
  -->
</ion-content>
<ion-footer>
    <ion-toolbar>
        <ion-grid>
          <ion-row>
            <ion-col><ion-button expand="full" color="light" (click)="setPassword()" no-margin>Change Password</ion-button></ion-col>
            <ion-col><ion-button expand="full" color="danger" (click)="logout()" no-margin>Sign out</ion-button></ion-col>
          </ion-row>
        </ion-grid>
    </ion-toolbar>
</ion-footer>


